<template>

    <div class="search-block">
        <div class="container">

            <el-row class="search-block__title add-margin" type="flex" justify="center">

                <el-col :span="3">
                    <h5>Купить</h5>
                </el-col>

                <el-col :span="3">
                    <h5>Продать</h5>
                </el-col>

            </el-row>

            <el-row class="search-block__search-block-input" type="flex">
                <el-input placeholder="Поиск"></el-input>
                <el-button type="info" plain>Найти</el-button>
            </el-row>

            <el-row type="flex" justify="space-between">
                <el-col :span="6">
                    <el-tree :data="data" :props="defaultProps" @node-click="handleNodeClick"></el-tree>
                </el-col>
                <el-col :span="6">
                    <el-tree :data="data" :props="defaultProps" @node-click="handleNodeClick"></el-tree>
                </el-col>
                <el-col :span="6">
                    <el-tree :data="data" :props="defaultProps" @node-click="handleNodeClick"></el-tree>
                </el-col>
            </el-row>

            <div class="products-block">
                <el-row type="flex">

                    <el-col :span="12">
                        <p class="products-block-title">Популярное</p>
                    </el-col>

                    <el-col :span="12">
                        <p class="products-block-title">Последние заявки</p>
                    </el-col>

                </el-row>

                <el-row type="flex" justify="space-between">
                    <el-col :span="11">

                        <el-row :gutter="5" type="flex">

                            <el-col :span="12">
                                <div class="product-block" :style="{ backgroundImage: `url(${backgroundImage})`}"></div>
                            </el-col>

                            <el-col>
                                <div class="product-block" :style="{ backgroundImage: `url(${backgroundImage})`}"></div>
                            </el-col>

                        </el-row>

                        <el-row :gutter="5" type="flex">

                            <el-col :span="12">
                                <div class="product-block" :style="{ backgroundImage: `url(${backgroundImage})`}"></div>
                            </el-col>

                            <el-col :span="6">
                                <div class="product-block" :style="{ backgroundImage: `url(${backgroundImage})`}"></div>
                            </el-col>

                            <el-col :span="6">
                                <div class="product-block" :style="{ backgroundImage: `url(${backgroundImage})`}"></div>
                            </el-col>

                        </el-row>

                        <el-row :gutter="5" type="flex">
                            <el-col>
                                <div class="product-block" :style="{ backgroundImage: `url(${backgroundImage})`}"></div>
                            </el-col>
                        </el-row>


                    </el-col>
                    <el-col :span="11">

                        <el-row :gutter="5" type="flex">

                            <el-col :span="12">
                                <div class="product-block" :style="{ backgroundImage: `url(${backgroundImage})`}"></div>
                            </el-col>

                            <el-col>
                                <div class="product-block" :style="{ backgroundImage: `url(${backgroundImage})`}"></div>
                            </el-col>

                        </el-row>

                        <el-row :gutter="5" type="flex">

                            <el-col :span="12">
                                <div class="product-block" :style="{ backgroundImage: `url(${backgroundImage})`}"></div>
                            </el-col>

                            <el-col :span="6">
                                <div class="product-block" :style="{ backgroundImage: `url(${backgroundImage})`}"></div>
                            </el-col>

                            <el-col :span="6">
                                <div class="product-block" :style="{ backgroundImage: `url(${backgroundImage})`}"></div>
                            </el-col>

                        </el-row>

                        <el-row :gutter="5" type="flex">
                            <el-col>
                                <div class="product-block" :style="{ backgroundImage: `url(${backgroundImage})`}"></div>
                            </el-col>
                        </el-row>

                    </el-col>
                </el-row>


            </div>

        </div>
    </div>

</template>

<script>

    export default {
        data() {
            return {
                backgroundImage: '../images/kartoshka.jpg',
                data: [{
                    label: 'Семена',
                    children: [{
                        label: 'Level two 1-1',
                        children: [{
                            label: 'Level three 1-1-1'
                        }]
                    }]
                }, {
                    label: 'Молочная продукция',
                    children: [{
                        label: 'Молоко',
                    }, {
                        label: 'Тророг',
                    }, {
                        label: 'Сметана',
                    }, {
                        label: 'Сливки',
                    }, {
                        label: 'Сыворотка',
                    }
                    ]
                }, {
                    label: 'Овощи',
                    children: [{
                        label: 'Level two 3-1',
                        children: [{
                            label: 'Level three 3-1-1'
                        }]
                    }, {
                        label: 'Level two 3-2',
                        children: [{
                            label: 'Level three 3-2-1'
                        }]
                    }]
                }, {
                    label: 'Орехи',
                    children: [{
                        label: 'Level two 3-1',
                        children: [{
                            label: 'Level three 3-1-1'
                        }]
                    }, {
                        label: 'Level two 3-2',
                        children: [{
                            label: 'Level three 3-2-1'
                        }]
                    }]
                }, {
                    label: 'Мед и продукция \n' +
                        'пчеловодства',
                    children: [{
                        label: 'Level two 3-1',
                        children: [{
                            label: 'Level three 3-1-1'
                        }]
                    }, {
                        label: 'Level two 3-2',
                        children: [{
                            label: 'Level three 3-2-1'
                        }]
                    }]
                }, {
                    label: 'Фрукты/Ягоды',
                    children: [{
                        label: 'Level two 3-1',
                        children: [{
                            label: 'Level three 3-1-1'
                        }]
                    }, {
                        label: 'Level two 3-2',
                        children: [{
                            label: 'Level three 3-2-1'
                        }]
                    }]
                }],
                defaultProps: {
                    children: 'children',
                    label: 'label'
                }
            };
        },
        methods: {
            handleNodeClick(data) {
                console.log(data);
            }
        }
    };

</script>

<style lang="scss">

    .search-block {

        .search-block__title {
            font-size: 20px;
            color: green;
        }

        .search-block__search-block-input {
            border: 2px solid grey;
            background-color: white;
            border-radius: 40px;
            margin: 20px 0;

            .el-input__inner {
                padding-left: 45px;
                border: none;
                height: 50px;
                background-color: transparent;
            }

            .el-button--info.is-plain {
                color: white;
                font-weight: bold;
                width: 120px;
                height: 50px;
                border: none;
                background-color: #3f592f;
                border-radius: 0 50px 50px 0;
            }
        }

        .el-tree {
            background-color: inherit;

            .el-tree-node__content:hover {
                background-color: inherit;
            }

            & > * {
                padding-bottom: 20px;
            }
        }
    }

    .products-block {

        .products-block-title {
            font-size: 15px;
            font-weight: bold;
            margin: 15px 0;
        }

        .product-block {
            border-radius: 10px;
            background-repeat: no-repeat;
            background-position: center;
            background-size: auto;
            height: 190px;
            margin-bottom: 10px;
        }
    }


</style>